Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.algorithms.labeling
Class CentroidBoostLabeler

    java.lang.Object
      infomat.algorithms.labeling.Labeler
          infomat.algorithms.labeling.CentroidBoostLabeler

All Implemented Interfaces:
  HasProperties

    public class CentroidBoostLabeler

extends Labeler

Constructs ILabels for IObjectGroups.

Field Summary

Fields inherited from class infomat.algorithms.labeling.Labeler
`properties`

Constructor Summary
`CentroidBoostLabeler()`

Method Summary
`Properties` | `getDefaultProperties()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`private ILabel` | `labelGroup(IObjectGroup iog, SparseISimilarity similarity, java.util.HashMap<IObject,java.lang.Float> parentWeightMap)` Can not be used separately, since it relies on having information on the parent group.
`java.util.HashMap<IObjectGroup,ILabel>` | `labelGrouping(IObjectGrouping ioging, SparseISimilarity similarity)`
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class infomat.algorithms.labeling.Labeler
`getSortedGroupRepresentation, printLabeling, printLabeling`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CentroidBoostLabeler

    public CentroidBoostLabeler()

Method Detail

### getDefaultProperties

    public Properties getDefaultProperties()

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String name)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws PropertyNotFoundException

  Throws:
    `PropertyNotFoundException`

### getProperties

    public Properties getProperties()

### setProperties

    public void setProperties(Properties properties)

### labelGroup

    private ILabel labelGroup(IObjectGroup iog,
                              SparseISimilarity similarity,
                              java.util.HashMap<IObject,java.lang.Float> parentWeightMap)

  Can not be used separately, since it relies on having information on the parent group.

### labelGrouping

    public java.util.HashMap<IObjectGroup,ILabel> labelGrouping(IObjectGrouping ioging,
                                                                SparseISimilarity similarity)

  Specified by:
    `labelGrouping` in class `Labeler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD